InputForm
Keywords: uk.ac.ic.doc.automed.templates.gui.InputForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.gui
Class InputForm

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      uk.ac.ic.doc.automed.templates.gui.InputForm

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class InputForm

extends javax.swing.JPanel

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`protected` | `InputForm(boolean isList, boolean isEditable)`
`protected` | `InputForm(int items, boolean isEditable)`
`protected` | `InputForm(TTemplateInputArgument tiarg)`

Method Summary
`protected uk.ac.ic.doc.automed.templates.gui.InputItem` | `addNewInputItem(boolean isEditable, int position)`
`protected uk.ac.ic.doc.automed.templates.gui.InputItem` | `addNewInputItemAndRedisplay(boolean isEditable, int position)`
`protected void` | `deleteButtonClicked(uk.ac.ic.doc.automed.templates.gui.InputItem item)`
`protected void` | `displayReferenceLists()`
`protected void` | `focusItem(uk.ac.ic.doc.automed.templates.gui.InputItem it)`
`protected TTemplateInputArgument` | `getArgument()`
`protected java.lang.String` | `getDescription()`
`protected java.awt.Component[]` | `getInputItems()`
`protected uk.ac.ic.doc.automed.templates.gui.InputItem` | `getNextItemInList(uk.ac.ic.doc.automed.templates.gui.InputItem item)`
`protected java.lang.String[]` | `getValuesDisplaying()`
`protected void` | `initialiseToolbars()`
`protected void` | `inputData(int itemToStore, java.lang.String itemToDisplay)`
`protected void` | `inputData(java.lang.String itemToStore, java.lang.String itemToDisplay)`
`protected void` | `isBeingDisplayed()`
`protected void` | `itemGotFocus(uk.ac.ic.doc.automed.templates.gui.InputItem item)`
`protected int` | `itemPosition(uk.ac.ic.doc.automed.templates.gui.InputItem item)`
`protected void` | `layDownAllInputItems()`
`protected int` | `reAssignPositions()`
`protected void` | `reEvaluateRequiredNumberOfElements()`
`protected void` | `reloadComponents()`
`protected void` | `removeAllItems()`
`protected void` | `removeItem(uk.ac.ic.doc.automed.templates.gui.InputItem item)`
`void` | `repaint()`
`protected void` | `reSetToolbars()`
`protected void` | `setDialogueManager(TemplateInputDialogue mngr)`
`protected void` | `setObserver(java.awt.Component comp)`
`protected void` | `textFieldCompleted(uk.ac.ic.doc.automed.templates.gui.InputItem it, java.lang.String text)`
`protected boolean` | `tryToUpdateArgumentWithInputValues()`
`protected boolean` | `tryToUpdateArgumentWithInputValues(java.lang.String[] report)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputForm

    protected InputForm(TTemplateInputArgument tiarg)

### InputForm

    protected InputForm(boolean isList,
                        boolean isEditable)

### InputForm

    protected InputForm(int items,
                        boolean isEditable)

Method Detail

### setDialogueManager

    protected void setDialogueManager(TemplateInputDialogue mngr)

### inputData

    protected void inputData(int itemToStore,
                             java.lang.String itemToDisplay)

### inputData

    protected void inputData(java.lang.String itemToStore,
                             java.lang.String itemToDisplay)

### getArgument

    protected TTemplateInputArgument getArgument()

### addNewInputItem

    protected uk.ac.ic.doc.automed.templates.gui.InputItem addNewInputItem(boolean isEditable,
                                                                           int position)

### addNewInputItemAndRedisplay

    protected uk.ac.ic.doc.automed.templates.gui.InputItem addNewInputItemAndRedisplay(boolean isEditable,
                                                                                       int position)

### layDownAllInputItems

    protected void layDownAllInputItems()

### reAssignPositions

    protected int reAssignPositions()

### deleteButtonClicked

    protected void deleteButtonClicked(uk.ac.ic.doc.automed.templates.gui.InputItem item)

### textFieldCompleted

    protected void textFieldCompleted(uk.ac.ic.doc.automed.templates.gui.InputItem it,
                                      java.lang.String text)

### focusItem

    protected void focusItem(uk.ac.ic.doc.automed.templates.gui.InputItem it)

### itemPosition

    protected int itemPosition(uk.ac.ic.doc.automed.templates.gui.InputItem item)

### getNextItemInList

    protected uk.ac.ic.doc.automed.templates.gui.InputItem getNextItemInList(uk.ac.ic.doc.automed.templates.gui.InputItem item)

### removeItem

    protected void removeItem(uk.ac.ic.doc.automed.templates.gui.InputItem item)

### getDescription

    protected java.lang.String getDescription()

### setObserver

    protected void setObserver(java.awt.Component comp)

### repaint

    public void repaint()

  Overrides:
    `repaint` in class `java.awt.Component`

### itemGotFocus

    protected void itemGotFocus(uk.ac.ic.doc.automed.templates.gui.InputItem item)

### tryToUpdateArgumentWithInputValues

    protected boolean tryToUpdateArgumentWithInputValues(java.lang.String[] report)

### tryToUpdateArgumentWithInputValues

    protected boolean tryToUpdateArgumentWithInputValues()

### getValuesDisplaying

    protected java.lang.String[] getValuesDisplaying()

### getInputItems

    protected java.awt.Component[] getInputItems()

### reEvaluateRequiredNumberOfElements

    protected void reEvaluateRequiredNumberOfElements()

### removeAllItems

    protected void removeAllItems()

### reSetToolbars

    protected void reSetToolbars()

### reloadComponents

    protected void reloadComponents()

### displayReferenceLists

    protected void displayReferenceLists()

### isBeingDisplayed

    protected void isBeingDisplayed()

### initialiseToolbars

    protected void initialiseToolbars()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD